{"openapi":"3.1.0","info":{"title":"Engine API v3","summary":"The documentation for interacting with Engine API v3 endpoints","version":"v3"},"paths":{"/v3/concepts":{"get":{"tags":["concepts"],"summary":"List all concepts","description":"Returns all concepts.","operationId":"list_concepts_v3_concepts_get","parameters":[{"name":"ids","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ids"},"example":"c_1,c_2,s_1"},{"name":"types","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"default":"condition,symptom,risk_factor","title":"Types"},"example":"condition,symptom"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ConceptResponse"},"title":"Response List Concepts V3 Concepts Get"},"example":[{"id":"c_1","type":"condition","name":"Achalasia","common_name":"Achalasia","extras":{}},{"id":"c_2","type":"condition","name":"Atopic dermatitis","common_name":"Eczema","extras":{}},{"id":"s_1","type":"symptom","name":"Mouth ulcers","common_name":"Mouth ulcers","extras":{}}]}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v3/concepts/{id}":{"get":{"tags":["concepts"],"summary":"List filtered concepts","description":"Filter concepts by type and id.","operationId":"get_concept_by_id_v3_concepts__id__get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","title":"Id"},"example":"c_1"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConceptResponse"},"example":{"id":"c_1","type":"condition","name":"Achalasia","common_name":"Achalasia","extras":{}}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v3/conditions":{"get":{"tags":["conditions"],"summary":"List all conditions","description":"Returns a list of all of the available conditions.","operationId":"list_conditions_v3_conditions_get","parameters":[{"name":"age.value","in":"query","required":true,"schema":{"type":"integer","title":"Age.Value"},"example":30},{"name":"age.unit","in":"query","required":false,"schema":{"enum":["year","month"],"type":"string","default":"year","title":"Age.Unit"}},{"name":"enable_triage_3","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Enable Triage 3"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ConditionResponse"},"title":"Response List Conditions V3 Conditions Get"},"example":[{"id":"c_926","name":"ACE inhibitor-induced cough","common_name":"ACE inhibitor-induced cough","sex_filter":"both","categories":["Cardiology"],"prevalence":"very_rare","acuteness":"acute_potentially_chronic","severity":"mild","extras":{"icd10_code":"R05, T88.7, Y52.4","hint":"The symptoms may be due to medications use. Please consult a GP."},"triage_level":"consultation","recommended_channel":"audio_teleconsultation"}]}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v3/conditions/{id}":{"get":{"tags":["conditions"],"summary":"Get condition by id","description":"Returns the details of a single condition, as specified by id parameter.","operationId":"get_condition_by_id_v3_conditions__id__get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","title":"Id"},"example":"c_1"},{"name":"age.value","in":"query","required":true,"schema":{"type":"integer","title":"Age.Value"},"example":30},{"name":"age.unit","in":"query","required":false,"schema":{"enum":["year","month"],"type":"string","default":"year","title":"Age.Unit"}},{"name":"enable_triage_3","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Enable Triage 3"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConditionResponse"},"example":{"id":"c_1","name":"Achalasia","common_name":"Achalasia","sex_filter":"both","categories":["Gastroenterology"],"prevalence":"very_rare","acuteness":"chronic","severity":"moderate","extras":{"icd10_code":"K22.0","hint":"Please consult a gastroenterologist."},"triage_level":"consultation","recommended_channel":"personal_visit"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v3/diagnosis":{"post":{"tags":["diagnosis"],"summary":"Query diagnostic engine","description":"Suggests probable conditions and relevant observations based on the provided patient information.","operationId":"diagnosis_v3_diagnosis_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EngineAPIRequest"},"example":{"sex":"male","age":{"value":30,"unit":"year"},"evidence":[{"id":"s_1193","choice_id":"present","source":"initial","duration":{"value":30,"unit":"day"}}],"extras":{}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DiagnosisResponse"},"example":{"question":{"type":"group_multiple","text":"Which of the following worsen the headache?","items":[{"id":"s_799","name":"It is worse in the morning","choices":[{"id":"present","label":"Yes"},{"id":"absent","label":"No"},{"id":"unknown","label":"Don't know"}]},{"id":"s_1762","name":"Stress","choices":[{"id":"present","label":"Yes"},{"id":"absent","label":"No"},{"id":"unknown","label":"Don't know"}]},{"id":"s_625","name":"Bending down","choices":[{"id":"present","label":"Yes"},{"id":"absent","label":"No"},{"id":"unknown","label":"Don't know"}]},{"id":"s_1871","name":"Physical activity","choices":[{"id":"present","label":"Yes"},{"id":"absent","label":"No"},{"id":"unknown","label":"Don't know"}]}],"extras":{}},"conditions":[{"id":"c_49","name":"Migraine","common_name":"Migraine","probability":0.3821}],"extras":{},"has_emergency_evidence":false}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v3/explain":{"post":{"tags":["explain"],"summary":"Query diagnostic engine for explanation","description":"Explains which evidence impacts the probability of a selected condition appearing in the ranking.","operationId":"explain_v3_explain_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExplainRequest"},"example":{"sex":"male","age":{"value":30,"unit":"year"},"evidence":[{"id":"s_1193","choice_id":"present","source":"initial","duration":{"value":30,"unit":"day"}}],"extras":{},"target":"c_49"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExplainResponse"},"example":{"supporting_evidence":[{"id":"s_488","name":"Eyes sensitive to light","common_name":"Light sensitivity"},{"id":"s_1193","name":"Headache, severe","common_name":"Severe headache"}],"conflicting_evidence":[],"unconfirmed_evidence":[]}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v3/info":{"get":{"tags":["info"],"summary":"Get information about API version and model","description":"Returns API metadata, such as the API's current version and which medical content model version is used.","operationId":"info_v3_info_get","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InfoPublic"},"example":{"api_version":"3.5.1","updated_at":"2021-09-13T12:43:18Z","conditions_count":1111,"symptoms_count":2222,"risk_factors_count":3333}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v3/interviews/feedback":{"post":{"tags":["intent survey"],"summary":"Submit Intent Survey Feedback","description":"Submit patient intent survey data to track how patient care plans change after receiving triage recommendations, enabling behavior change analysis and population health insights.","operationId":"send_interview_feedback_v3_interviews_feedback_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InterviewFeedback"},"example":{"patient_intent_before":{"type":"consultation","channel":{"category":"in_person"},"sub_type":{"category":"custom","custom_label":"gastroenterologist"}},"patient_intent_after":{"type":"self_treatment_at_home"}}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InterviewsFeedbackEndpointResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v3/parse":{"post":{"tags":["parse"],"summary":"Find mentions of observations in given text","description":"Returns a list of all the mentions of observation found in given text.","operationId":"parse_v3_parse_post","requestBody":{"content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/ParseRequest"},{"type":"null"}],"title":"Data"},"example":{"age":{"value":30,"unit":"year"},"sex":"male","text":"I feel smoach pain but no couoghing today","context":["string"],"include_tokens":true,"correct_spelling":true,"concept_types":["symptom"]}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ParseResponse"},"example":{"mentions":[{"id":"s_13","name":"Abdominal pain","common_name":"Stomach pain","orth":"stomach pain","choice_id":"present","type":"symptom"},{"id":"s_102","name":"Cough","common_name":"Cough","orth":"coughing","choice_id":"absent","type":"symptom"}],"obvious":false}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v3/patient_education/{condition_id}":{"get":{"tags":["patient education"],"summary":"Get patient education document by id","description":"Returns a formatted patient education document in JSON format","operationId":"get_patient_education_article_v3_patient_education__condition_id__get","parameters":[{"name":"condition_id","in":"path","required":true,"schema":{"type":"string","title":"Condition Id"},"example":"c_1406"},{"name":"sections","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Sections"},"example":"summary,how_its_defined,how_its_caused,how_its_diagnosed,how_it_can_be_treated_at_home,how_its_prevented,when_to_see_professional,disclaimer,sources"},{"name":"Interview-Token","in":"header","required":false,"schema":{"type":"string","title":"Interview-Token"},"description":"Token retrieved from /diagnosis endpoint"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatientEducationArticle"},"example":{"title":{"node_type":"heading-1","content":[{"node_type":"text","value":"Chest pain, unspecified"}]},"sections":[{"name":"summary","title":{"node_type":"heading-2","content":[{"node_type":"text","value":"Summary"}]},"content":[{"node_type":"paragraph","content":[{"node_type":"text","value":"Chest pain is a feeling of discomfort or pain anywhere on the front of the body between neck and upper abdomen or top of the belly. The pain may be in just one place, scattered, or spreading. It can feel very different depending on the cause and the person."}]},{"node_type":"paragraph","content":[{"node_type":"text","value":"There are a lot of diseases that affect different organs (digestive, muscles and bones, heart and blood vessels, breathing) that have chest pain as a symptom and many of them are life-threatening."}]},{"node_type":"paragraph","content":[{"node_type":"text","value":"Healthcare providers should use all the tools they have to diagnose chest pain. People with chest pain shouldn’t try to diagnose themselves and should see a healthcare professional when the pain’s sudden or gets worse."}]}]},{"name":"how_its_defined","title":{"node_type":"heading-2","content":[{"node_type":"text","value":"How it’s defined"}]},"content":[{"node_type":"heading-3","content":[{"node_type":"text","value":"What is chest pain?"}]},{"node_type":"paragraph","content":[{"node_type":"text","value":"Chest pain is a feeling of discomfort or pain anywhere on the front of the body between neck and upper abdomen or top of the belly. It's common and can be caused by many things that aren't heart attacks."}]},{"node_type":"paragraph","content":[{"node_type":"text","value":"In most cases, chest pain isn’t caused by a heart problem."}]},{"node_type":"paragraph","content":[{"node_type":"text","value":"Common words used to describe chest pain are:"}]},{"node_type":"unordered-list","content":[{"node_type":"list-item","content":[{"node_type":"text","value":"Dull"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Deep"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Pressing"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Squeezing"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Sharp"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Stabbing"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Poking"}]}]},{"node_type":"paragraph","content":[{"node_type":"text","value":"In some cases, the pain’s just in one spot, but in other cases, the pain’s felt over a bigger area. Chest pain may also radiate or spread to other nearby places like the left or right shoulder, jaw, or left arm. It may also spread to the chest from the neck, abdomen or belly, and back."}]},{"node_type":"paragraph","content":[{"node_type":"text","value":"While most of the time chest pain isn’t a sign of anything serious, it can be a symptom of many life-threatening conditions. People with chest pain should get help from a healthcare provider to make sure they don’t have a serious medical problem."}]}]},{"name":"how_its_caused","title":{"node_type":"heading-2","content":[{"node_type":"text","value":"How it’s caused"}]},"content":[{"node_type":"heading-3","content":[{"node_type":"text","value":"What causes chest pain?"}]},{"node_type":"paragraph","content":[{"node_type":"text","value":"Chest pain has many possible causes and since many of them are life-threatening, people with chest pain need to see a healthcare provider."}]},{"node_type":"paragraph","content":[{"node_type":"text","value":"Some causes include:"}]},{"node_type":"unordered-list","content":[{"node_type":"list-item","content":[{"node_type":"text","value":"Digestive problems like "},{"node_type":"link","target":"https://www.google.com/url?q=https://medlineplus.gov/heartburn.html&sa=D&source=editors&ust=1650977795211632&usg=AOvVaw3KRmg2IiBsQLyKCLATkVAF","content":[{"node_type":"text","value":"heartburn"}]},{"node_type":"text","value":"; swallowing problems; and pancreatic and gallbladder problems"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Muscle and bone problems like injured ribs; sore muscles; or costochondritis, inflamed chest joints"}]},{"node_type":"list-item","content":[{"node_type":"link","target":"https://www.google.com/url?q=https://medlineplus.gov/panicdisorder.html&sa=D&source=editors&ust=1650977795212098&usg=AOvVaw1W_bEU2CFOz2KyTjKWQDba","content":[{"node_type":"text","value":"Panic attacks"}]}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Heart-related causes like a heart attack; "},{"node_type":"link","target":"https://www.google.com/url?q=https://medlineplus.gov/angina.html&sa=D&source=editors&ust=1650977795212312&usg=AOvVaw3g3pWfQRYjzGZfuS5UVNbI","content":[{"node_type":"text","value":"angina"}]},{"node_type":"text","value":"; pericarditis or inflammation of the sack around heart muscle; or aortic dissection, a tear in the aorta"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Lung diseases like "},{"node_type":"link","target":"https://www.google.com/url?q=https://medlineplus.gov/pneumonia.html&sa=D&source=editors&ust=1650977795212575&usg=AOvVaw1MPFjXe02gmYx__KgBxN8i","content":[{"node_type":"text","value":"pneumonia"}]},{"node_type":"text","value":", "},{"node_type":"link","target":"https://www.google.com/url?q=https://medlineplus.gov/pleuraldisorders.html&sa=D&source=editors&ust=1650977795212745&usg=AOvVaw06lHZOvMMN0lUOCtP4oB6Y","content":[{"node_type":"text","value":"pleurisy"}]},{"node_type":"text","value":", "},{"node_type":"link","target":"https://www.google.com/url?q=https://medlineplus.gov/pulmonaryembolism.html&sa=D&source=editors&ust=1650977795212922&usg=AOvVaw3rTOiJmVCNcKfGlkiz_DFQ","content":[{"node_type":"text","value":"pulmonary embolism"}]},{"node_type":"text","value":", pulmonary hypertension, or a collapsed lung"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Shingles pain and blisters that go from the back around to the chest caused by the chickenpox virus"}]}]}]},{"name":"how_its_diagnosed","title":{"node_type":"heading-2","content":[{"node_type":"text","value":"How it’s diagnosed"}]},"content":[{"node_type":"heading-3","content":[{"node_type":"text","value":"How is chest pain diagnosed?"}]},{"node_type":"paragraph","content":[{"node_type":"text","value":"Healthcare providers start to diagnose chest pain by taking a person’s medical history and doing a physical exam. Depending the person’s history and exam, tests like these may be ordered:"}]},{"node_type":"unordered-list","content":[{"node_type":"list-item","content":[{"node_type":"text","value":"An electrocardiogram or EKG"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Blood lab tests like a basic metabolic panel, troponin level, complete blood count, and lipase level"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Imaging tests like a chest X-ray, an ultrasound, chest computerized tomography (CT) scan, or a CT pulmonary angiography"}]}]}]},{"name":"how_it_can_be_treated_at_home","title":{"node_type":"heading-2","content":[{"node_type":"text","value":"How it can be treated at home"}]},"content":[{"node_type":"heading-3","content":[{"node_type":"text","value":"How can people treat chest pain?"}]},{"node_type":"paragraph","content":[{"node_type":"text","value":"People with chest pain are recommended not to treat it but to see a healthcare provider, especially if:"}]},{"node_type":"unordered-list","content":[{"node_type":"list-item","content":[{"node_type":"text","value":"The pain’s new"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"They don’t know what’s causing the pain"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"The pain doesn’t go away in a few minutes"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"The pain keeps coming back"}]}]},{"node_type":"heading-3","content":[{"node_type":"text","value":"Medication"}]},{"node_type":"heading-3","content":[{"node_type":"text","value":"What medicines can treat chest pain?"}]},{"node_type":"paragraph","content":[{"node_type":"text","value":"There are many groups of drugs that can treat chest pain, but how well they work depends on the cause of the pain. People with chest pain should get a medical diagnosis and any medicine they need for chest pain from a healthcare provider."}]}]},{"name":"how_its_prevented","title":{"node_type":"heading-2","content":[{"node_type":"text","value":"How it’s prevented"}]},"content":[{"node_type":"heading-3","content":[{"node_type":"text","value":"How can chest pain be prevented?"}]},{"node_type":"paragraph","content":[{"node_type":"text","value":"People can prevent chest pain by:"}]},{"node_type":"unordered-list","content":[{"node_type":"list-item","content":[{"node_type":"text","value":"Being aware of their own or their family history of heart disease"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Acting early and following their healthcare provider’s advice if they’re been diagnosed with heart disease"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Not smoking, using cocaine, or drinking too much alcohol"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Keeping a healthy weight"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Eating a healthy diet"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Regularly checking and keeping normal cholesterol, blood pressure, and glucose levels"}]}]}]},{"name":"when_to_see_professional","title":{"node_type":"heading-2","content":[{"node_type":"text","value":"When it’s time for professional care"}]},"content":[{"node_type":"heading-3","content":[{"node_type":"text","value":"When should people get help from a healthcare provider for chest pain?"}]},{"node_type":"paragraph","content":[{"node_type":"text","value":"People should get care right away if they have sudden chest pain that:"}]},{"node_type":"unordered-list","content":[{"node_type":"list-item","content":[{"node_type":"text","value":"Clearly spreads to the arms, back, neck, or jaw"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Is crushing, or makes the chest feel the chest tight, heavy, or pressing"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Happens with nausea, sweating, dizziness, or shortness of breath"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Doesn’t go away within 15 minutes"}]}]},{"node_type":"paragraph","content":[{"node_type":"text","value":"People should get help from a healthcare provider if they have any pain that:"}]},{"node_type":"unordered-list","content":[{"node_type":"list-item","content":[{"node_type":"text","value":"Gets worse"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Comes with upper respiratory tract infection symptoms"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Makes them worry they’re having a heart attack."}]}]}]},{"name":"disclaimer","title":{"node_type":"heading-2","content":[{"node_type":"text","value":"Disclaimer"}]},"content":[{"node_type":"paragraph","content":[{"node_type":"text","value":"“Please note none of this information:"}]},{"node_type":"unordered-list","content":[{"node_type":"list-item","content":[{"node_type":"text","value":"Can be used instead of a professional medical diagnosis, care, or advice"}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Replaces professional medical care and is only for your information."}]}]},{"node_type":"paragraph","content":[{"node_type":"text","value":"Please contact a healthcare provider if you have questions or concerns about your health.”"}]}]},{"name":"sources","title":{"node_type":"heading-2","content":[{"node_type":"text","value":"Sources"}]},"content":[{"node_type":"ordered-list","content":[{"node_type":"list-item","content":[{"node_type":"text","value":"MedlinePlus [Internet]. Bethesda (MD): National Library of Medicine (US). Chest pain; [updated 2021 July 30; reviewed 2017 September 05; cited 2022 Jan 09]; [about 1p.]. Available from: "},{"node_type":"link","target":"https://medlineplus.gov/chestpain.html","content":[{"node_type":"text","value":"https://medlineplus.gov/chestpain.html"}]}]},{"node_type":"list-item","content":[{"node_type":"text","value":"Johnson K, Ghassemzadeh S. Chest Pain. [Updated 2021 Aug 1]. In: StatPearls [Internet]. Treasure Island (FL): StatPearls Publishing; 2021 Jan-. Available from: "},{"node_type":"link","target":"https://www.ncbi.nlm.nih.gov/books/NBK470557/","content":[{"node_type":"text","value":"https://www.ncbi.nlm.nih.gov/books/NBK470557/"}]}]},{"node_type":"list-item","content":[{"node_type":"text","value":"NHS [Internet] The National Health Service (UK); Chest pain; [​​Page last reviewed: 2020 Aug 14; cited 2022 Jan 09] Available from: "},{"node_type":"link","target":"https://www.nhs.uk/conditions/chest-pain/","content":[{"node_type":"text","value":"https://www.nhs.uk/conditions/chest-pain/"}]}]}]}]}]}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v3/rationale":{"post":{"tags":["rationale"],"summary":"Rationale diagnosis output","description":"Returns the rationale behind the questions that are asked by the system.","operationId":"rationale_v3_rationale_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EngineAPIRequest"},"example":{"sex":"male","age":{"value":30,"unit":"year"},"evidence":[{"id":"s_1193","choice_id":"present","source":"initial","duration":{"value":30,"unit":"day"}}],"extras":{}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RationaleResponse"},"example":{"type":"r0","observation_params":[{"id":"s_1871","name":"Headache, exacerbating by physical activity","common_name":"Headache worsened by physical activity"}],"condition_params":[{"id":"c_49","name":"Migraine","common_name":"Migraine"},{"id":"c_55","name":"Tension-type headaches","common_name":"Tension-type headaches"},{"id":"c_39","name":"Cluster headaches","common_name":"Cluster headaches"}]}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v3/recommend_specialist":{"post":{"tags":["recommend specialist"],"summary":"Query diagnostic engine for recommended specialist and consultation type","description":"Estimates recommended specialist based on the provided patient information.","operationId":"recommend_specialist_v3_recommend_specialist_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EngineAPIRequest"},"example":{"sex":"male","age":{"value":30,"unit":"year"},"evidence":[{"id":"s_1193","choice_id":"present","source":"initial","duration":{"value":30,"unit":"day"}}],"extras":{}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RecommendSpecialist"},"example":{"recommended_specialist":{"id":"sp_17","name":"Neurologist"},"recommended_channel":"audio_teleconsultation"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v3/risk_factors":{"get":{"tags":["risk factors"],"summary":"List all risk factors","description":"Returns a list of all of the available risk factors.","operationId":"list_risk_factors_v3_risk_factors_get","parameters":[{"name":"age.value","in":"query","required":true,"schema":{"type":"integer","title":"Age.Value"},"example":30},{"name":"age.unit","in":"query","required":false,"schema":{"enum":["year","month"],"type":"string","default":"year","title":"Age.Unit"}},{"name":"enable_triage_3","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Enable Triage 3"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RiskFactorResponse"},"title":"Response List Risk Factors V3 Risk Factors Get"},"example":[{"id":"p_144","name":"Abdominal injury","common_name":"Recent abdominal injury","sex_filter":"both","category":"Risk factors","seriousness":"normal","extras":{}}]}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v3/risk_factors/{id}":{"get":{"tags":["risk factors"],"summary":"Get risk factor by id","description":"Returns the details of a single risk factor, as specified by id parameter.","operationId":"get_risk_factor_by_id_v3_risk_factors__id__get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","description":"risk factor id","title":"Id"},"description":"risk factor id","example":"p_28"},{"name":"age.value","in":"query","required":true,"schema":{"type":"integer","title":"Age.Value"},"example":30},{"name":"age.unit","in":"query","required":false,"schema":{"enum":["year","month"],"type":"string","default":"year","title":"Age.Unit"}},{"name":"enable_triage_3","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Enable Triage 3"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RiskFactorResponse"},"example":{"id":"p_28","name":"Smoking cigarettes","common_name":"Smoking cigarettes","question":"Do you smoke or have you smoked cigarettes in the past for at least 10 years?","sex_filter":"both","category":"Risk factors","seriousness":"normal","extras":{}}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v3/search":{"get":{"tags":["search"],"summary":"Search","description":"Find observations matching given phrase","operationId":"search_v3_search_get","parameters":[{"name":"phrase","in":"query","required":true,"schema":{"type":"string","maxLength":2000,"description":"phrase to match","title":"Phrase"},"description":"phrase to match","example":"abdominal pain"},{"name":"age.value","in":"query","required":true,"schema":{"type":"integer","title":"Age.Value"},"example":30},{"name":"types","in":"query","required":false,"schema":{"type":"string","description":"type of results","default":"symptom,risk_factor","title":"Types"},"description":"type of results","example":"symptom,risk_factor,condition"},{"name":"age.unit","in":"query","required":false,"schema":{"enum":["year","month"],"type":"string","default":"year","title":"Age.Unit"}},{"name":"sex","in":"query","required":false,"schema":{"anyOf":[{"enum":["male","female"],"type":"string"},{"type":"null"}],"description":"sex filter","title":"Sex"},"description":"sex filter","example":"female"},{"name":"max_results","in":"query","required":false,"schema":{"type":"integer","gt":-1,"lt":10001,"description":"maximum number of results","default":8,"title":"Max Results"},"description":"maximum number of results"},{"name":"include_pro","in":"query","required":false,"schema":{"type":"boolean","description":"whether to include professional observations","default":true,"title":"Include Pro"},"description":"whether to include professional observations"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SearchResult"},"title":"Response Search V3 Search Get"},"example":[{"id":"s_13","label":"Abdominal pain"},{"id":"s_1387","label":"Abdominal pain, epigastric"}]}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v3/suggest":{"post":{"tags":["suggest"],"summary":"Suggests possible symptoms based on provided request","description":"Suggests possible symptoms based on the provided patient information.","operationId":"suggest_v3_suggest_post","parameters":[{"name":"max_results","in":"query","required":false,"schema":{"type":"integer","minimum":0,"default":8,"title":"Max Results"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuggestRequest"},"example":{"sex":"male","age":{"value":30,"unit":"year"},"evidence":[{"id":"s_1193","choice_id":"present","source":"initial","duration":{"value":30,"unit":"day"}}],"extras":{},"suggest_method":"symptoms"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SuggestResponse"},"title":"Response Suggest V3 Suggest Post"},"example":[{"id":"s_2100","name":"Fatigue","common_name":"Fatigue"}]}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v3/symptoms":{"get":{"tags":["symptoms"],"summary":"List all symptoms","description":"Returns a list of all of the available symptoms.","operationId":"list_symptoms_v3_symptoms_get","parameters":[{"name":"age.value","in":"query","required":true,"schema":{"type":"integer","title":"Age.Value"},"example":30},{"name":"age.unit","in":"query","required":false,"schema":{"enum":["year","month"],"type":"string","default":"year","title":"Age.Unit"}},{"name":"enable_triage_3","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Enable Triage 3"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SymptomResponse"},"title":"Response List Symptoms V3 Symptoms Get"},"example":[{"id":"s_1598","name":"Abdominal pain, below navel","sex_filter":"both","seriousness":"normal","children":[],"category":"Signs and symptoms","common_name":"Lower abdominal pain","parent_id":"s_13","parent_relation":"location","extras":{}}]}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v3/symptoms/{id}":{"get":{"tags":["symptoms"],"summary":"Get symptoms by id","description":"Returns the details of a single symptom, as specified by id parameter.","operationId":"get_symptom_by_id_v3_symptoms__id__get","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string","description":"symptom id","title":"Id"},"description":"symptom id","example":"s_1531"},{"name":"age.value","in":"query","required":true,"schema":{"type":"integer","title":"Age.Value"},"example":30},{"name":"age.unit","in":"query","required":false,"schema":{"enum":["year","month"],"type":"string","default":"year","title":"Age.Unit"}},{"name":"enable_triage_3","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Enable Triage 3"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SymptomResponse"},"example":{"id":"s_1531","name":"Abdominal pain, right lower quadrant","sex_filter":"both","seriousness":"normal","children":[{"id":"s_1851","parent_relation":"character"}],"category":"Signs and symptoms","common_name":"Lower right side abdominal pain","parent_id":"s_13","parent_relation":"location","extras":{},"question":"Is the pain in the lower right part of your abdomen?","question_third_person":"Is the pain in the lower right part of his|her abdomen?"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v3/triage":{"post":{"tags":["triage"],"summary":"Query diagnostic engine for triage level","description":"Estimates triage level based on the provided patient information.","operationId":"triage_v3_triage_post","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EngineAPIRequest"},"example":{"sex":"male","age":{"value":30,"unit":"year"},"evidence":[{"id":"s_1193","choice_id":"present","source":"initial","duration":{"value":30,"unit":"day"}}],"extras":{}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TriageResponse"},"example":{"triage_level":"consultation_24","serious":[{"id":"s_1193","name":"Headache, severe","common_name":"Severe headache","is_emergency":false}],"root_cause":"serious_evidence_present","teleconsultation_applicable":false}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"Age":{"properties":{"value":{"type":"integer","title":"Value","description":"age value","example":30},"unit":{"type":"string","enum":["year","month"],"title":"Unit","description":"age value unit","default":"year"}},"type":"object","required":["value"],"title":"Age"},"ApiLevelExtras":{"type":"string","enum":["specialist_mapping","enable_pursued","interview_mode","enable_third_person_questions","include_condition_details","enable_debug","enable_evidence_debug","enable_triage_3","triage_root_cause_form","enable_evidence_validation"],"title":"ApiLevelExtras"},"ChildSymptomDataResponse":{"properties":{"id":{"type":"string","title":"Id","description":"id of child symptom"},"parent_relation":{"$ref":"#/components/schemas/ResponseParentRelationType","description":"type of relation with parent symptom"}},"type":"object","required":["id","parent_relation"],"title":"ChildSymptomDataResponse"},"ConceptResponse":{"properties":{"id":{"type":"string","title":"Id"},"type":{"type":"string","enum":["symptom","condition","risk_factor"],"title":"Type"},"name":{"type":"string","title":"Name"},"common_name":{"type":"string","title":"Common Name"},"extras":{"$ref":"#/components/schemas/ConceptsExtras"}},"type":"object","required":["id","type","name","common_name","extras"],"title":"ConceptResponse"},"ConceptsExtras":{"properties":{},"type":"object","title":"ConceptsExtras"},"ConditionDetails":{"properties":{"icd10_code":{"type":"string","title":"Icd10 Code"},"category":{"$ref":"#/components/schemas/ConditionDetailsCategory"},"prevalence":{"$ref":"#/components/schemas/ResponseConditionPrevalence"},"severity":{"$ref":"#/components/schemas/ResponseConditionSeverity"},"acuteness":{"$ref":"#/components/schemas/ResponseConditionAcuteness"},"triage_level":{"$ref":"#/components/schemas/TriageLevel"},"hint":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Hint"},"has_patient_education":{"type":"boolean","title":"Has Patient Education"}},"type":"object","required":["icd10_code","category","prevalence","severity","acuteness","triage_level","hint","has_patient_education"],"title":"ConditionDetails"},"ConditionDetailsCategory":{"properties":{"id":{"type":"string","title":"Id"},"name":{"type":"string","title":"Name"}},"type":"object","required":["id","name"],"title":"ConditionDetailsCategory"},"ConditionResponse":{"properties":{"id":{"type":"string","title":"Id"},"name":{"type":"string","title":"Name"},"common_name":{"type":"string","title":"Common Name"},"sex_filter":{"$ref":"#/components/schemas/ResponseSexFilter"},"categories":{"items":{"type":"string"},"type":"array","title":"Categories"},"prevalence":{"$ref":"#/components/schemas/ResponseConditionPrevalence"},"acuteness":{"$ref":"#/components/schemas/ResponseConditionAcuteness"},"severity":{"$ref":"#/components/schemas/ResponseConditionSeverity"},"extras":{"$ref":"#/components/schemas/Extras"},"triage_level":{"$ref":"#/components/schemas/TriageLevel"},"recommended_channel":{"$ref":"#/components/schemas/RecommendedChannel"}},"type":"object","required":["id","name","common_name","sex_filter","categories","prevalence","acuteness","severity","extras","triage_level","recommended_channel"],"title":"ConditionResponse"},"ConditionsRankingItem":{"properties":{"id":{"type":"string","title":"Id","description":"condition id"},"name":{"type":"string","title":"Name","description":"condition name"},"common_name":{"type":"string","title":"Common Name","description":"condition common name"},"probability":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Probability"},"condition_details":{"anyOf":[{"$ref":"#/components/schemas/ConditionDetails"},{"type":"null"}],"description":"details of conditions, appears only if extra include_condition_details were applied"}},"type":"object","required":["id","name","common_name"],"title":"ConditionsRankingItem"},"ConsultationIntent":{"properties":{"type":{"type":"string","const":"consultation","title":"Type"},"channel":{"anyOf":[{"$ref":"#/components/schemas/IntentChannel"},{"type":"null"}]},"subtype":{"anyOf":[{"$ref":"#/components/schemas/ConsultationSubType"},{"type":"null"}]}},"type":"object","required":["type"],"title":"ConsultationIntent"},"ConsultationSubType":{"properties":{"category":{"$ref":"#/components/schemas/ConsultationSubTypeCategory"},"custom_label":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Custom Label"}},"type":"object","required":["category"],"title":"ConsultationSubType"},"ConsultationSubTypeCategory":{"type":"string","enum":["primary_care_physician","nurse","physiotherapist","dietician","specialist_doctor","not_sure","custom"],"title":"ConsultationSubTypeCategory"},"CustomIntent":{"properties":{"type":{"type":"string","const":"custom","title":"Type"},"custom_label":{"type":"string","maxLength":160,"title":"Custom Label"}},"type":"object","required":["type","custom_label"],"title":"CustomIntent"},"Debug":{"properties":{"lang_code":{"type":"string","title":"Lang Code"},"build_id":{"type":"integer","title":"Build Id"},"num_concepts":{"type":"integer","title":"Num Concepts"},"nlp_build_created":{"type":"string","title":"Nlp Build Created"},"service_started":{"type":"string","title":"Service Started"},"parsed_query":{"type":"string","title":"Parsed Query"}},"type":"object","required":["lang_code","build_id","num_concepts","nlp_build_created","service_started","parsed_query"],"title":"Debug"},"DiagnosisResponse":{"properties":{"question":{"anyOf":[{"$ref":"#/components/schemas/Question"},{"$ref":"#/components/schemas/DurationQuestion"},{"type":"null"}],"title":"Question"},"conditions":{"items":{"$ref":"#/components/schemas/ConditionsRankingItem"},"type":"array","title":"Conditions"},"extras":{"additionalProperties":true,"type":"object","title":"Extras"},"has_emergency_evidence":{"type":"boolean","title":"Has Emergency Evidence"},"should_stop":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Should Stop"},"interview_token":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Interview Token"}},"type":"object","required":["question","conditions","extras","has_emergency_evidence","interview_token"],"title":"DiagnosisResponse"},"DurationQuestion":{"properties":{"type":{"$ref":"#/components/schemas/QuestionType","default":"duration"},"text":{"type":"string","title":"Text"},"extras":{"additionalProperties":true,"type":"object","title":"Extras"},"explication":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Explication"},"instruction":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Instruction"},"evidence_id":{"type":"string","title":"Evidence Id"}},"type":"object","required":["text","extras","evidence_id"],"title":"DurationQuestion"},"EmergencyCareIntent":{"properties":{"type":{"type":"string","const":"emergency_care","title":"Type"},"subtype":{"anyOf":[{"$ref":"#/components/schemas/EmergencyCareSubType"},{"type":"null"}]}},"type":"object","required":["type"],"title":"EmergencyCareIntent"},"EmergencyCareSubType":{"properties":{"category":{"$ref":"#/components/schemas/EmergencyCareSubTypeCategory"},"custom_label":{"type":"string","maxLength":160,"title":"Custom Label"}},"type":"object","required":["category","custom_label"],"title":"EmergencyCareSubType"},"EmergencyCareSubTypeCategory":{"type":"string","enum":["with_ambulance","without_ambulance","not_sure","custom"],"title":"EmergencyCareSubTypeCategory"},"EngineAPIRequest":{"properties":{"age":{"$ref":"#/components/schemas/Age"},"sex":{"type":"string","enum":["male","female"],"title":"Sex"},"evidence":{"anyOf":[{"items":{"$ref":"#/components/schemas/InputEvidence"},"type":"array"},{"type":"null"}],"title":"Evidence","default":[]},"extras":{"additionalProperties":true,"type":"object","title":"Extras","default":{}}},"type":"object","required":["age","sex"],"title":"EngineAPIRequest"},"Evidence":{"properties":{"id":{"type":"string","title":"Id","description":"observation id"},"name":{"type":"string","title":"Name","description":"observation name"},"common_name":{"type":"string","title":"Common Name","description":"observation common name"}},"type":"object","required":["id","name","common_name"],"title":"Evidence"},"EvidenceDuration":{"properties":{"value":{"type":"integer","title":"Value","example":30},"unit":{"type":"string","enum":["week","day","hour","minute"],"title":"Unit","example":"week"}},"type":"object","required":["value","unit"],"title":"EvidenceDuration"},"ExplainRequest":{"properties":{"age":{"$ref":"#/components/schemas/Age"},"sex":{"type":"string","enum":["male","female"],"title":"Sex"},"evidence":{"anyOf":[{"items":{"$ref":"#/components/schemas/InputEvidence"},"type":"array"},{"type":"null"}],"title":"Evidence","default":[]},"extras":{"additionalProperties":true,"type":"object","title":"Extras","default":{}},"target":{"type":"string","title":"Target","description":"target condition id","example":"c_49"}},"type":"object","required":["age","sex","target"],"title":"ExplainRequest"},"ExplainResponse":{"properties":{"supporting_evidence":{"items":{"$ref":"#/components/schemas/Evidence"},"type":"array","title":"Supporting Evidence"},"conflicting_evidence":{"items":{"$ref":"#/components/schemas/Evidence"},"type":"array","title":"Conflicting Evidence"},"unconfirmed_evidence":{"items":{"$ref":"#/components/schemas/Evidence"},"type":"array","title":"Unconfirmed Evidence"},"extras":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Extras"}},"type":"object","required":["supporting_evidence","conflicting_evidence","unconfirmed_evidence"],"title":"ExplainResponse"},"Extras":{"properties":{"icd10_code":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Icd10 Code"},"hint":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Hint"}},"type":"object","required":["icd10_code","hint"],"title":"Extras"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"Header1":{"properties":{"node_type":{"type":"string","const":"heading-1","title":"Node Type"},"content":{"items":{"oneOf":[{"$ref":"#/components/schemas/Paragraph"},{"$ref":"#/components/schemas/Header1"},{"$ref":"#/components/schemas/Header2"},{"$ref":"#/components/schemas/Header3"},{"$ref":"#/components/schemas/Link"},{"$ref":"#/components/schemas/Text"},{"$ref":"#/components/schemas/UnorderedList"},{"$ref":"#/components/schemas/OrderedList"},{"$ref":"#/components/schemas/PatientEducationListItem"}],"discriminator":{"propertyName":"node_type","mapping":{"heading-1":"#/components/schemas/Header1","heading-2":"#/components/schemas/Header2","heading-3":"#/components/schemas/Header3","link":"#/components/schemas/Link","list-item":"#/components/schemas/PatientEducationListItem","ordered-list":"#/components/schemas/OrderedList","paragraph":"#/components/schemas/Paragraph","text":"#/components/schemas/Text","unordered-list":"#/components/schemas/UnorderedList"}}},"type":"array","title":"Content"}},"type":"object","required":["node_type","content"],"title":"Header1"},"Header2":{"properties":{"node_type":{"type":"string","const":"heading-2","title":"Node Type"},"content":{"items":{"oneOf":[{"$ref":"#/components/schemas/Paragraph"},{"$ref":"#/components/schemas/Header1"},{"$ref":"#/components/schemas/Header2"},{"$ref":"#/components/schemas/Header3"},{"$ref":"#/components/schemas/Link"},{"$ref":"#/components/schemas/Text"},{"$ref":"#/components/schemas/UnorderedList"},{"$ref":"#/components/schemas/OrderedList"},{"$ref":"#/components/schemas/PatientEducationListItem"}],"discriminator":{"propertyName":"node_type","mapping":{"heading-1":"#/components/schemas/Header1","heading-2":"#/components/schemas/Header2","heading-3":"#/components/schemas/Header3","link":"#/components/schemas/Link","list-item":"#/components/schemas/PatientEducationListItem","ordered-list":"#/components/schemas/OrderedList","paragraph":"#/components/schemas/Paragraph","text":"#/components/schemas/Text","unordered-list":"#/components/schemas/UnorderedList"}}},"type":"array","title":"Content"}},"type":"object","required":["node_type","content"],"title":"Header2"},"Header3":{"properties":{"node_type":{"type":"string","const":"heading-3","title":"Node Type"},"content":{"items":{"oneOf":[{"$ref":"#/components/schemas/Paragraph"},{"$ref":"#/components/schemas/Header1"},{"$ref":"#/components/schemas/Header2"},{"$ref":"#/components/schemas/Header3"},{"$ref":"#/components/schemas/Link"},{"$ref":"#/components/schemas/Text"},{"$ref":"#/components/schemas/UnorderedList"},{"$ref":"#/components/schemas/OrderedList"},{"$ref":"#/components/schemas/PatientEducationListItem"}],"discriminator":{"propertyName":"node_type","mapping":{"heading-1":"#/components/schemas/Header1","heading-2":"#/components/schemas/Header2","heading-3":"#/components/schemas/Header3","link":"#/components/schemas/Link","list-item":"#/components/schemas/PatientEducationListItem","ordered-list":"#/components/schemas/OrderedList","paragraph":"#/components/schemas/Paragraph","text":"#/components/schemas/Text","unordered-list":"#/components/schemas/UnorderedList"}}},"type":"array","title":"Content"}},"type":"object","required":["node_type","content"],"title":"Header3"},"InferenceSettingsExtras":{"type":"string","enum":["disable_diagnostic_value","disable_probability_transformations","disable_intimate_content","disable_groups","enable_symptom_duration","enable_lab_test_diagnostic_value","disable_unspecified_conditions_limiting","disable_adaptive_ranking","enable_explanations","enable_full_ranking"],"title":"InferenceSettingsExtras","description":"An enum of all possible extras that influence Inference Engine's settings.\nThey are sent in /diagnosis and /suggest request\n\nThis is a subset of all possible extras accepted by API.\n\nPlease note, there is another subset of extras that changes the API behavior, but\ndoes not change anything in Inference Engine."},"InfoPublic":{"properties":{"api_version":{"type":"string","title":"Api Version","description":"version of api release"},"updated_at":{"type":"string","format":"date-time","title":"Updated At","description":"time of last model update in ISO 8601 format"},"conditions_count":{"type":"integer","title":"Conditions Count","description":"number of distinct conditions"},"risk_factors_count":{"type":"integer","title":"Risk Factors Count","description":"number of distinct risk factors"},"symptoms_count":{"type":"integer","title":"Symptoms Count","description":"number of distinct symptoms"},"snomed_ct_version":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Snomed Ct Version"}},"type":"object","required":["api_version","updated_at","conditions_count","risk_factors_count","symptoms_count"],"title":"InfoPublic"},"InputEvidence":{"properties":{"id":{"type":"string","title":"Id","description":"id of observation or condition","example":"s_1193"},"choice_id":{"type":"string","enum":["present","absent","unknown"],"title":"Choice Id"},"source":{"anyOf":[{"type":"string","enum":["initial","suggest","predefined","red_flags"]},{"type":"null"}],"title":"Source","description":"Flag describing evidence origin"},"duration":{"anyOf":[{"$ref":"#/components/schemas/EvidenceDuration"},{"type":"null"}],"description":"Duration time in standard value/unit"}},"type":"object","required":["id","choice_id"],"title":"InputEvidence"},"IntentChannel":{"properties":{"category":{"$ref":"#/components/schemas/IntentChannelCategory"},"custom_label":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Custom Label"}},"type":"object","required":["category"],"title":"IntentChannel"},"IntentChannelCategory":{"type":"string","enum":["in_person","provider_application","chat","audio","video","not_sure","custom"],"title":"IntentChannelCategory"},"InterviewFeedback":{"properties":{"patient_intent_before":{"oneOf":[{"$ref":"#/components/schemas/SelfTreatmentIntent"},{"$ref":"#/components/schemas/ConsultationIntent"},{"$ref":"#/components/schemas/UrgentCareCenterIntent"},{"$ref":"#/components/schemas/EmergencyCareIntent"},{"$ref":"#/components/schemas/NotSureIntent"},{"$ref":"#/components/schemas/CustomIntent"},{"$ref":"#/components/schemas/UnknownIntent"}],"title":"Patient Intent Before","discriminator":{"propertyName":"type","mapping":{"consultation":"#/components/schemas/ConsultationIntent","custom":"#/components/schemas/CustomIntent","emergency_care":"#/components/schemas/EmergencyCareIntent","not_sure":"#/components/schemas/NotSureIntent","self_treatment_at_home":"#/components/schemas/SelfTreatmentIntent","unknown":"#/components/schemas/UnknownIntent","urgent_care_center":"#/components/schemas/UrgentCareCenterIntent"}}},"patient_intent_after":{"oneOf":[{"$ref":"#/components/schemas/SelfTreatmentIntent"},{"$ref":"#/components/schemas/ConsultationIntent"},{"$ref":"#/components/schemas/UrgentCareCenterIntent"},{"$ref":"#/components/schemas/EmergencyCareIntent"},{"$ref":"#/components/schemas/NotSureIntent"},{"$ref":"#/components/schemas/CustomIntent"},{"$ref":"#/components/schemas/UnknownIntent"}],"title":"Patient Intent After","discriminator":{"propertyName":"type","mapping":{"consultation":"#/components/schemas/ConsultationIntent","custom":"#/components/schemas/CustomIntent","emergency_care":"#/components/schemas/EmergencyCareIntent","not_sure":"#/components/schemas/NotSureIntent","self_treatment_at_home":"#/components/schemas/SelfTreatmentIntent","unknown":"#/components/schemas/UnknownIntent","urgent_care_center":"#/components/schemas/UrgentCareCenterIntent"}}}},"type":"object","required":["patient_intent_before","patient_intent_after"],"title":"InterviewFeedback"},"InterviewsFeedbackEndpointResponse":{"properties":{},"type":"object","title":"InterviewsFeedbackEndpointResponse"},"Link":{"properties":{"node_type":{"type":"string","const":"link","title":"Node Type"},"target":{"type":"string","title":"Target"},"content":{"items":{"oneOf":[{"$ref":"#/components/schemas/Paragraph"},{"$ref":"#/components/schemas/Header1"},{"$ref":"#/components/schemas/Header2"},{"$ref":"#/components/schemas/Header3"},{"$ref":"#/components/schemas/Link"},{"$ref":"#/components/schemas/Text"},{"$ref":"#/components/schemas/UnorderedList"},{"$ref":"#/components/schemas/OrderedList"},{"$ref":"#/components/schemas/PatientEducationListItem"}],"discriminator":{"propertyName":"node_type","mapping":{"heading-1":"#/components/schemas/Header1","heading-2":"#/components/schemas/Header2","heading-3":"#/components/schemas/Header3","link":"#/components/schemas/Link","list-item":"#/components/schemas/PatientEducationListItem","ordered-list":"#/components/schemas/OrderedList","paragraph":"#/components/schemas/Paragraph","text":"#/components/schemas/Text","unordered-list":"#/components/schemas/UnorderedList"}}},"type":"array","title":"Content"}},"type":"object","required":["node_type","target","content"],"title":"Link"},"NotSureIntent":{"properties":{"type":{"type":"string","const":"not_sure","title":"Type"}},"type":"object","required":["type"],"title":"NotSureIntent"},"ObservableSeriousness":{"type":"string","enum":["normal","serious","emergency","emergency_ambulance"],"title":"ObservableSeriousness"},"ObservationMention":{"properties":{"id":{"type":"string","title":"Id","description":"observation id"},"name":{"type":"string","title":"Name","description":"observation name"},"common_name":{"type":"string","title":"Common Name","description":"observation common name","default":""},"orth":{"type":"string","title":"Orth","description":"orthographic form of the mention"},"type":{"type":"string","enum":["symptom","risk_factor"],"title":"Type"},"choice_id":{"type":"string","enum":["present","absent","unknown"],"title":"Choice Id","description":"choice id"},"positions":{"anyOf":[{"items":{"type":"integer"},"type":"array"},{"type":"null"}],"title":"Positions","description":"position of mention, appears only if include_tokens were applied"},"head_position":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Head Position","description":"syntactic head of mention, appears only if include_tokens were applied"}},"type":"object","required":["id","name","orth","type","choice_id"],"title":"ObservationMention"},"OrderedList":{"properties":{"node_type":{"type":"string","const":"ordered-list","title":"Node Type"},"content":{"items":{"$ref":"#/components/schemas/PatientEducationListItem"},"type":"array","title":"Content"}},"type":"object","required":["node_type","content"],"title":"OrderedList"},"Paragraph":{"properties":{"node_type":{"type":"string","const":"paragraph","title":"Node Type"},"content":{"items":{"oneOf":[{"$ref":"#/components/schemas/Paragraph"},{"$ref":"#/components/schemas/Header1"},{"$ref":"#/components/schemas/Header2"},{"$ref":"#/components/schemas/Header3"},{"$ref":"#/components/schemas/Link"},{"$ref":"#/components/schemas/Text"},{"$ref":"#/components/schemas/UnorderedList"},{"$ref":"#/components/schemas/OrderedList"},{"$ref":"#/components/schemas/PatientEducationListItem"}],"discriminator":{"propertyName":"node_type","mapping":{"heading-1":"#/components/schemas/Header1","heading-2":"#/components/schemas/Header2","heading-3":"#/components/schemas/Header3","link":"#/components/schemas/Link","list-item":"#/components/schemas/PatientEducationListItem","ordered-list":"#/components/schemas/OrderedList","paragraph":"#/components/schemas/Paragraph","text":"#/components/schemas/Text","unordered-list":"#/components/schemas/UnorderedList"}}},"type":"array","title":"Content"}},"type":"object","required":["node_type","content"],"title":"Paragraph"},"ParseRequest":{"properties":{"age":{"$ref":"#/components/schemas/Age"},"sex":{"anyOf":[{"type":"string","enum":["male","female"]},{"type":"null"}],"title":"Sex"},"text":{"type":"string","maxLength":2048,"title":"Text","description":"user text to process","example":"I feel smoach pain but no couoghing today"},"context":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Context","description":"ordered list of ids of present symptoms that were already captured and can be used as context","default":[]},"include_tokens":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Include Tokens","description":"include tokenization details in output","default":false},"correct_spelling":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Correct Spelling","description":"correct spelling of input text before proper analysis","default":true},"concept_types":{"items":{"type":"string","enum":["symptom","risk_factor"]},"type":"array","title":"Concept Types","description":"list of concept types that should be captured","default":["symptom","risk_factor"]}},"type":"object","required":["age","text"],"title":"ParseRequest"},"ParseResponse":{"properties":{"mentions":{"items":{"$ref":"#/components/schemas/ObservationMention"},"type":"array","title":"Mentions","description":"list of recognized symptom or risk factor mentions"},"obvious":{"type":"boolean","title":"Obvious","description":"indicates that entire input text has been parsed successfully and unambiguously"},"tokens":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Tokens","description":"tokens of the input text, appears only if include_tokens were applied"}},"type":"object","required":["mentions","obvious"],"title":"ParseResponse"},"PatientEducationArticle":{"properties":{"title":{"$ref":"#/components/schemas/Header1"},"sections":{"items":{"$ref":"#/components/schemas/PatientEducationSectionContent"},"type":"array","title":"Sections"}},"type":"object","required":["title","sections"],"title":"PatientEducationArticle"},"PatientEducationListItem":{"properties":{"node_type":{"type":"string","const":"list-item","title":"Node Type"},"content":{"items":{"oneOf":[{"$ref":"#/components/schemas/Paragraph"},{"$ref":"#/components/schemas/Header1"},{"$ref":"#/components/schemas/Header2"},{"$ref":"#/components/schemas/Header3"},{"$ref":"#/components/schemas/Link"},{"$ref":"#/components/schemas/Text"},{"$ref":"#/components/schemas/UnorderedList"},{"$ref":"#/components/schemas/OrderedList"},{"$ref":"#/components/schemas/PatientEducationListItem"}],"discriminator":{"propertyName":"node_type","mapping":{"heading-1":"#/components/schemas/Header1","heading-2":"#/components/schemas/Header2","heading-3":"#/components/schemas/Header3","link":"#/components/schemas/Link","list-item":"#/components/schemas/PatientEducationListItem","ordered-list":"#/components/schemas/OrderedList","paragraph":"#/components/schemas/Paragraph","text":"#/components/schemas/Text","unordered-list":"#/components/schemas/UnorderedList"}}},"type":"array","title":"Content"}},"type":"object","required":["node_type","content"],"title":"PatientEducationListItem"},"PatientEducationSectionContent":{"properties":{"name":{"$ref":"#/components/schemas/PatientEducationSectionType"},"title":{"$ref":"#/components/schemas/Header2"},"content":{"items":{"oneOf":[{"$ref":"#/components/schemas/Paragraph"},{"$ref":"#/components/schemas/Header1"},{"$ref":"#/components/schemas/Header2"},{"$ref":"#/components/schemas/Header3"},{"$ref":"#/components/schemas/Link"},{"$ref":"#/components/schemas/Text"},{"$ref":"#/components/schemas/UnorderedList"},{"$ref":"#/components/schemas/OrderedList"},{"$ref":"#/components/schemas/PatientEducationListItem"}],"discriminator":{"propertyName":"node_type","mapping":{"heading-1":"#/components/schemas/Header1","heading-2":"#/components/schemas/Header2","heading-3":"#/components/schemas/Header3","link":"#/components/schemas/Link","list-item":"#/components/schemas/PatientEducationListItem","ordered-list":"#/components/schemas/OrderedList","paragraph":"#/components/schemas/Paragraph","text":"#/components/schemas/Text","unordered-list":"#/components/schemas/UnorderedList"}}},"type":"array","title":"Content"}},"type":"object","required":["name","title","content"],"title":"PatientEducationSectionContent"},"PatientEducationSectionType":{"type":"string","enum":["summary","how_its_defined","how_its_caused","how_its_diagnosed","how_it_can_be_treated_at_home","how_its_prevented","when_to_see_professional","disclaimer","sources"],"title":"PatientEducationSectionType"},"Question":{"properties":{"type":{"type":"string","enum":["single","group_single","group_multiple"],"title":"Type"},"text":{"type":"string","title":"Text"},"extras":{"additionalProperties":true,"type":"object","title":"Extras"},"explication":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Explication"},"instruction":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Instruction"},"items":{"items":{"$ref":"#/components/schemas/QuestionItem"},"type":"array","title":"Items"}},"type":"object","required":["type","text","extras","items"],"title":"Question"},"QuestionChoice":{"properties":{"id":{"type":"string","title":"Id"},"label":{"type":"string","title":"Label"}},"type":"object","required":["id","label"],"title":"QuestionChoice"},"QuestionItem":{"properties":{"id":{"type":"string","title":"Id"},"name":{"type":"string","title":"Name"},"explication":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Explication"},"instruction":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Instruction"},"choices":{"items":{"$ref":"#/components/schemas/QuestionChoice"},"type":"array","title":"Choices"}},"type":"object","required":["id","name","choices"],"title":"QuestionItem"},"QuestionType":{"type":"string","enum":["single","group_single","group_multiple","duration"],"title":"QuestionType"},"RationaleParam":{"properties":{"id":{"type":"string","title":"Id","description":"observation or condition id"},"name":{"type":"string","title":"Name","description":"observation or condition name"},"common_name":{"type":"string","title":"Common Name","description":"observation or condition common name"}},"type":"object","required":["id","name","common_name"],"title":"RationaleParam"},"RationaleResponse":{"properties":{"type":{"anyOf":[{"type":"string","enum":["r0","r1","r2","r3","r4","r5","r6","r7"]},{"type":"null"}],"title":"Type"},"observation_params":{"items":{"$ref":"#/components/schemas/RationaleParam"},"type":"array","title":"Observation Params"},"condition_params":{"items":{"$ref":"#/components/schemas/RationaleParam"},"type":"array","title":"Condition Params"},"extras":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Extras"}},"type":"object","required":["type","observation_params","condition_params"],"title":"RationaleResponse"},"RecommendSpecialist":{"properties":{"recommended_specialist":{"$ref":"#/components/schemas/Specialist"},"recommended_channel":{"$ref":"#/components/schemas/RecommendedChannel"},"extras":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Extras"}},"type":"object","required":["recommended_specialist","recommended_channel"],"title":"RecommendSpecialist"},"RecommendedChannel":{"type":"string","enum":["personal_visit","video_teleconsultation","audio_teleconsultation","text_teleconsultation"],"title":"RecommendedChannel"},"ResponseConditionAcuteness":{"type":"string","enum":["chronic","chronic_with_exacerbations","acute_potentially_chronic","acute"],"title":"ResponseConditionAcuteness"},"ResponseConditionPrevalence":{"type":"string","enum":["common","moderate","rare","very_rare"],"title":"ResponseConditionPrevalence"},"ResponseConditionSeverity":{"type":"string","enum":["mild","moderate","severe"],"title":"ResponseConditionSeverity"},"ResponseParentRelationType":{"type":"string","enum":["base","duration","severity","character","exacerbating_factor","diminishing_factor","location","radiation"],"title":"ResponseParentRelationType"},"ResponseSexFilter":{"type":"string","enum":["male","female","both"],"title":"ResponseSexFilter"},"RiskFactorResponse":{"properties":{"id":{"type":"string","title":"Id"},"name":{"type":"string","title":"Name"},"common_name":{"type":"string","title":"Common Name"},"sex_filter":{"$ref":"#/components/schemas/ResponseSexFilter"},"seriousness":{"$ref":"#/components/schemas/ObservableSeriousness"},"category":{"type":"string","title":"Category"},"extras":{"$ref":"#/components/schemas/ConceptsExtras"},"question":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Question","description":"only available in object details, not in listing"},"question_third_person":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Question Third Person","description":"only available in object details, not in listing"}},"type":"object","required":["id","name","common_name","sex_filter","seriousness","category","extras"],"title":"RiskFactorResponse"},"SNOMEDBinding":{"properties":{"code":{"type":"string","title":"Code"}},"type":"object","required":["code"],"title":"SNOMEDBinding"},"SearchResult":{"properties":{"id":{"type":"string","title":"Id"},"label":{"type":"string","title":"Label","description":"matched phrase, name or its synonym"}},"type":"object","required":["id","label"],"title":"SearchResult"},"SelfTreatmentIntent":{"properties":{"type":{"type":"string","const":"self_treatment_at_home","title":"Type"}},"type":"object","required":["type"],"title":"SelfTreatmentIntent"},"SeriousObservable":{"properties":{"id":{"type":"string","title":"Id","description":"observation id"},"name":{"type":"string","title":"Name","description":"observation name"},"common_name":{"type":"string","title":"Common Name","description":"observation common name"},"seriousness":{"$ref":"#/components/schemas/ObservableSeriousness"},"is_emergency":{"type":"boolean","title":"Is Emergency"}},"type":"object","required":["id","name","common_name","seriousness","is_emergency"],"title":"SeriousObservable"},"Specialist":{"properties":{"id":{"type":"string","title":"Id","description":"specialist id"},"name":{"type":"string","title":"Name","description":"specialist name"}},"type":"object","required":["id","name"],"title":"Specialist"},"SuggestMethod":{"type":"string","enum":["symptoms","demographic_risk_factors","evidence_based_risk_factors","risk_factors","red_flags"],"title":"SuggestMethod"},"SuggestRequest":{"properties":{"age":{"$ref":"#/components/schemas/Age"},"sex":{"type":"string","enum":["male","female"],"title":"Sex"},"evidence":{"anyOf":[{"items":{"$ref":"#/components/schemas/InputEvidence"},"type":"array"},{"type":"null"}],"title":"Evidence","default":[]},"extras":{"additionalProperties":true,"type":"object","title":"Extras","default":{}},"suggest_method":{"anyOf":[{"$ref":"#/components/schemas/SuggestMethod"},{"type":"null"}],"default":"symptoms"}},"type":"object","required":["age","sex"],"title":"SuggestRequest"},"SuggestResponse":{"properties":{"id":{"type":"string","title":"Id"},"name":{"type":"string","title":"Name"},"common_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Common Name"}},"type":"object","required":["id","name"],"title":"SuggestResponse"},"SymptomResponse":{"properties":{"id":{"type":"string","title":"Id"},"name":{"type":"string","title":"Name"},"common_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Common Name"},"sex_filter":{"$ref":"#/components/schemas/ResponseSexFilter"},"seriousness":{"$ref":"#/components/schemas/ObservableSeriousness"},"children":{"items":{"$ref":"#/components/schemas/ChildSymptomDataResponse"},"type":"array","title":"Children","description":"list of child symptoms"},"category":{"type":"string","title":"Category"},"parent_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Parent Id","description":"id of parent symptom"},"parent_relation":{"anyOf":[{"$ref":"#/components/schemas/ResponseParentRelationType"},{"type":"null"}],"description":"type of relation with parent symptom"},"extras":{"$ref":"#/components/schemas/ConceptsExtras"},"question":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Question","description":"only available in object details, not in listing"},"question_third_person":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Question Third Person","description":"only available in object details, not in listing"}},"type":"object","required":["id","name","sex_filter","seriousness","children","category","extras"],"title":"SymptomResponse"},"Text":{"properties":{"node_type":{"type":"string","const":"text","title":"Node Type"},"value":{"type":"string","title":"Value"}},"type":"object","required":["node_type","value"],"title":"Text"},"TriageLevel":{"type":"string","enum":["self_care","consultation","consultation_24","emergency","emergency_ambulance"],"title":"TriageLevel"},"TriageResponse":{"properties":{"triage_level":{"$ref":"#/components/schemas/TriageLevel"},"serious":{"items":{"$ref":"#/components/schemas/SeriousObservable"},"type":"array","title":"Serious"},"root_cause":{"type":"string","title":"Root Cause"},"teleconsultation_applicable":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Teleconsultation Applicable"},"extras":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Extras"}},"type":"object","required":["triage_level","serious","root_cause","teleconsultation_applicable"],"title":"TriageResponse"},"UnknownIntent":{"properties":{"type":{"type":"string","const":"unknown","title":"Type"}},"type":"object","required":["type"],"title":"UnknownIntent"},"UnorderedList":{"properties":{"node_type":{"type":"string","const":"unordered-list","title":"Node Type"},"content":{"items":{"$ref":"#/components/schemas/PatientEducationListItem"},"type":"array","title":"Content"}},"type":"object","required":["node_type","content"],"title":"UnorderedList"},"UrgentCareCenterIntent":{"properties":{"type":{"type":"string","const":"urgent_care_center","title":"Type"}},"type":"object","required":["type"],"title":"UrgentCareCenterIntent"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}